Food = {}

function Food:new()
   o2 = {
       w = 10,
	   h = 10,
	   x = math.random(800 - 10),
	   y = math.random(600 - 10),
    }
   setmetatable(o2, { __index = Food })
   return o2
end

function Food:update(dt)
   if o.y + o.h > o2.y and o.y < o2.y + o2.h and o.x + o.w > o2.x and o.x < o2.x + o2.w then -- checks collision
       o.score = o.score + 1
	   Food:respawn()
   end
end

function Food:draw()
   love.graphics.setColor(255, 255, 255)
   love.graphics.rectangle("fill", o2.x, o2.y, o2.w, o2.h)
end
    
function Food:respawn()
   o2.x = math.random(800 - o2.w)
   o2.y = math.random(600 - o2.h)
end